## libconbtui 1.4.1

=== debian/changelog ===
libconbtui (1.4.1) unstable; urgency=low

  * removed unnecessary libraries from configure.in

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 29 Jun 2006 07:37:16 +0300

libconbtui (1.4.0) unstable; urgency=low

  * initial release

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 26 Jun 2006 08:43:48 +0300
