## libconbtui 1.4.2+0m5

=== debian/changelog ===
libconbtui (1.4.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Antti Julku <ext-antti.julku@nokia.com>  Fri, 13 Nov 2009 14:20:30 +0200

libconbtui (1.4.2) unstable; urgency=low

  * Fixes: NB#144001 - libconbtui: Bluetooth DBUS UI dialogs - wrong args
    in the example code
  * Removed extra whitespace
  * Removed glib-gettextize from autogen.sh

 -- Markus Silvan <ext-markus.p.silvan@nokia.com>  Wed, 04 Nov 2009 09:53:40 +0200
