## libconbtui 1.4.3+0m5

=== debian/changelog ===
libconbtui (1.4.3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Antti Julku <ext-antti.julku@nokia.com>  Tue, 08 Dec 2009 14:30:41 +0200

libconbtui (1.4.3) unstable; urgency=low

  * Fixes: NB#147575 - libconbtui: Bluetooth DBUS UI dialogs - wrong args
    in the example code (PR1.2)

 -- Markus Silvan <ext-markus.p.silvan@nokia.com>  Tue, 24 Nov 2009 11:34:53 +0200
